Arch SectionPlane/sv: Difference between revisions

From FreeCAD Documentation
No edit summary
(Updating to match new version of source page)
 
(16 intermediate revisions by 4 users not shown)
Line 1: Line 1:
<languages/>
<languages/>

{{docnav
{{Docnav
|[[Arch_Window|Window]]
|[[Arch_Grid|Grid]]
|[[Arch_CompAxis|Arch CompAxis]]
|[[Arch_Module|Arch]]
|[[Arch_Space|Space]]
|[[Arch_Workbench|Arch]]
|IconL=Arch_Window.svg
|IconL=Arch_Grid.svg
|IconR=Arch_Space.png
|IconC=Workbench_Arch.svg
|IconC=Workbench_Arch.svg
|IconR=Arch_CompAxis.png
}}
}}


<div class="mw-translate-fuzzy">
{{GuiCommand/sv
{{GuiCommand/sv
|Name=Arch SectionPlane
|Name=Arch SectionPlane
|Name/sv=Arch SectionPlane
|Name/sv=Arch SectionPlane
|MenuLocation=Arch → Section Plane
|MenuLocation=Arch → Section Plane
|Workbenches=[[Arch Module|Arch]]
|Workbenches=[[Arch_Workbench|Arch]]
|Shortcut={{KEY|S}} {{KEY|P}}
|Shortcut={{KEY|S}} {{KEY|P}}
|SeeAlso=[[Draft Shape2DView|Draft Shape2DView]], [[TechDraw NewArch|TechDraw NewArch]]
|SeeAlso=[[Draft Shape2DView|Draft Shape2DView]], [[TechDraw_ArchView|TechDraw NewArch]]
}}
}}
</div>


<span id="Description"></span>
==Beskrivning==
==Beskrivning==


Line 27: Line 31:
Objekt kan senare adderas eller tas bort från ett SectionPlane objekt med [[Arch Add/sv|Arch Add]] och [[Arch Remove/sv|Arch Remove]] verktygen.
Objekt kan senare adderas eller tas bort från ett SectionPlane objekt med [[Arch Add/sv|Arch Add]] och [[Arch Remove/sv|Arch Remove]] verktygen.


Vid skapandet, så skapar SectionPlane objekt för närvarande ett [[Drawing Module/sv|Ritningssida]] objekt vilken innehåller den projicerade 2D vyn av de objekt som behandlas av Section Plane.
Vid skapandet, så skapar SectionPlane objekt för närvarande ett [[Drawing Workbench/sv|Ritningssida]] objekt vilken innehåller den projicerade 2D vyn av de objekt som behandlas av Section Plane.
</div>
</div>


Line 33: Line 37:
Till vänster i bilden ovan placeras ett Section Plane objekt i scenen, och till höger dess SVG 2D representation. Ytsortering är för närvarande inte helt implementerad.
Till vänster i bilden ovan placeras ett Section Plane objekt i scenen, och till höger dess SVG 2D representation. Ytsortering är för närvarande inte helt implementerad.


<span id="Usage"></span>
<div class="mw-translate-fuzzy">
====Bruk====
====Bruk====
</div>


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 44: Line 51:
==Options==
==Options==


* The Section plane object will only consider a certain set of objects, not all the objects of the document. Objects can be added or removed from a SectionPlane object by using the [[Arch Add|Arch Add]] and [[Arch Remove|Arch Remove]] tools, or by double-clicking the Section Plane in the tree view, selecting objects either in the list of in the 3D scene, and pressing the '''add''' or remove '''buttons'''.
* The Section plane object will only consider a certain set of objects, not all the objects of the document. Objects can be added or removed from a SectionPlane object by using the [[Arch_Add|Arch Add]] and [[Arch_Remove|Arch Remove]] tools, or by double-clicking the Section Plane in the tree view, selecting objects either in the list of in the 3D scene, and pressing the '''add''' or '''remove''' buttons.


* With a section plane object selected, use the [[Draft Shape2DView|Draft Shape2DView]] tool to create a shape object representing the section view in the document
* With a section plane object selected, use the [[Draft_Shape2DView|Draft Shape2DView]] tool to create a shape object representing the section view in the document.


[[Image:Arch Section example2.jpg|600px]]
[[Image:Arch Section example2.jpg|600px]]


* Create [[TechDraw_ArchView|TechDraw ArchView]].
* Create [[Draft_Drawing|Drawing DraftViews]] if you are working with the <s>[[Drawing Module|Drawing Workbench]]</s>, or [[TechDraw NewArch|TechDraw ArchView]] if you are using the [[TechDraw Module|TechDraw Workbench]].


[[Image:Arch Section example3.jpg|600px]]
[[Image:Arch Section example3.jpg|600px]]
Line 65: Line 72:
* {{PropertyView|Arrow Size}}: The size of the arrows of the section plane gizmo in the 3D view. Doesn't affect the resulting view
* {{PropertyView|Arrow Size}}: The size of the arrows of the section plane gizmo in the 3D view. Doesn't affect the resulting view
* {{PropertyView|Cut View}}: If this is {{TRUE}}, the whole 3D view will be cut at the location of this section plane.
* {{PropertyView|Cut View}}: If this is {{TRUE}}, the whole 3D view will be cut at the location of this section plane.
* {{PropertyView|Clip view}}: if this is {{TRUE}}, it will clip the view to the display height and length of the section plane. This effectively turns the section plane into an orthographic camera, limiting the field of view. {{version|0.19}}
* {{PropertyView|Clip view}}: if this is {{TRUE}}, it will clip the view to the display height and length of the section plane. This effectively turns the section plane into an orthographic camera, limiting the field of view.


[[Image:Arch_SectionPlane_ClipView.png|600px]]
[[Image:Arch_SectionPlane_ClipView.png|600px]]


{{Caption|The Arch SectionPlane with the clip view option will behave like a camera, limiting the field of view.}}
{{Caption|The Arch SectionPlane with the clip view option will behave like a camera, limiting the field of view.}}

==Tweaks==

* Adding manually a property named '''RotateSolidRender''' of type '''App::PropertyAngle''' to the section plane's '''View''' properties (right-click the properties view -> show all, right-click again -> add property) allows to rotate the render when using Solid mode. This is useful when a rendered view has for example both Arch and Draft elements, and the rendering of the Arch elements is rotated in relation to the Draft elements.


==Scripting==
==Scripting==
{{Emphasis|See also:}} [[Arch API|Arch API]] and [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]].


{{Emphasis|See also:}} [[Arch_API|Arch API]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].
The SectionPlane tool can be used in [[macros|macros]] and from the [[Python|Python]] console by using the following function:

The SectionPlane tool can be used in [[Macros|macros]] and from the [[Python|Python]] console by using the following function:


{{Code|code=
{{Code|code=
Line 109: Line 121:
FreeCAD.ActiveDocument.recompute()
FreeCAD.ActiveDocument.recompute()
}}
}}



<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 114: Line 127:
</div>
</div>


{{Arch Tools navi}}
{{Arch Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

{{Userdocnavi}}

Latest revision as of 15:34, 20 May 2023

Arch SectionPlane

Menyplacering
Arch → Section Plane
Arbetsbänkar
Arch
Standard genväg
S P
Introducerad i version
-
Se även
Draft Shape2DView, TechDraw NewArch

Beskrivning

Detta verktyg placerar en sektionplansvisare i nuvarande dokument, vilken definierar ett tvärsnitt eller vy-plan. visaren kan omplaceras och omorienteras genom att flytta och rotera den, tills den visar den 2D vy som du vill erhålla. Om verktyget används utan att några objekt är markerade, så kommer alla objekt från scenen att inkluderas i 2D vyn. Om några objekt är markerade, så kommer 2D vyn endast att visa dessa objekt.

Objekt kan senare adderas eller tas bort från ett SectionPlane objekt med Arch Add och Arch Remove verktygen.

Vid skapandet, så skapar SectionPlane objekt för närvarande ett Ritningssida objekt vilken innehåller den projicerade 2D vyn av de objekt som behandlas av Section Plane.

Till vänster i bilden ovan placeras ett Section Plane objekt i scenen, och till höger dess SVG 2D representation. Ytsortering är för närvarande inte helt implementerad.

Bruk

  • Välj objekt
  • Klicka på SectionPlane knappen
  • Flytta/rotera Section Plane till korrekt position
  • Klicka på Beräkna om knappen för att uppdatera vyn

Options

  • The Section plane object will only consider a certain set of objects, not all the objects of the document. Objects can be added or removed from a SectionPlane object by using the Arch Add and Arch Remove tools, or by double-clicking the Section Plane in the tree view, selecting objects either in the list of in the 3D scene, and pressing the add or remove buttons.
  • With a section plane object selected, use the Draft Shape2DView tool to create a shape object representing the section view in the document.

  • The Section Plane can also be used to show the entire 3D view cut by an infinite plane. This is only visual, and won't affect the geometry of the objects being cut.

Properties

  • DataOnly Solids: If this is True, non-solid objects in the set will be disregarded
  • VyDisplay Length: The length of the section plane gizmo in the 3D view. Doesn't affect the resulting view
  • VyDisplay Height: The height of the section plane gizmo in the 3D view. Doesn't affect the resulting view
  • VyArrow Size: The size of the arrows of the section plane gizmo in the 3D view. Doesn't affect the resulting view
  • VyCut View: If this is true, the whole 3D view will be cut at the location of this section plane.
  • VyClip view: if this is true, it will clip the view to the display height and length of the section plane. This effectively turns the section plane into an orthographic camera, limiting the field of view.

The Arch SectionPlane with the clip view option will behave like a camera, limiting the field of view.

Tweaks

  • Adding manually a property named RotateSolidRender of type App::PropertyAngle to the section plane's View properties (right-click the properties view -> show all, right-click again -> add property) allows to rotate the render when using Solid mode. This is useful when a rendered view has for example both Arch and Draft elements, and the rendering of the Arch elements is rotated in relation to the Draft elements.

Scripting

See also: Arch API and FreeCAD Scripting Basics.

The SectionPlane tool can be used in macros and from the Python console by using the following function:

Section = makeSectionPlane(objectslist=None, name="Section")
  • Creates a Section object from objectslist, which is a list of objects.

Example:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
baseline2 = Draft.makeLine(p1, -1*p2)

Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
Wall2 = Arch.makeWall(baseline2, length=None, width=150, height=1800)
Structure = Arch.makeStructure(length=1000, width=1000, height=200)
FreeCAD.ActiveDocument.recompute()

BuildingPart = Arch.makeBuildingPart([Wall1, Wall2])

Floor = Arch.makeFloor([BuildingPart])
Building = Arch.makeBuilding([Floor, Structure])
Site = Arch.makeSite(Building)
FreeCAD.ActiveDocument.recompute()

Section1 = Arch.makeSectionPlane([Wall1, Wall2])
Section2 = Arch.makeSectionPlane([Structure])
Section3 = Arch.makeSectionPlane([Site])
FreeCAD.ActiveDocument.recompute()